/* Descompunerea in factori primi a unui numar natural.
 * 
 * Ex: 
 *    n = 2^3 * 3^1 * 5^0 * 7^4 * 11^4 * 13^2 
 */                                      

#include <iostream>
using namespace std;


int main()
{
	int n;
	cin >> n;
	
	cout << n << " = ";
	
	int d = 2;  
	int exp; // exponentul divizorului prim d in descompunerea lui n
	
	while (n != 1)  // O(sqrt(n))
	{
		exp = 0;
		while (n % d == 0)
		{
			n /= d;
			exp++;
		}
		
		if (exp) // daca d este divizor (prim) al lui n
		{
			cout << d << '^' << exp;
			if (n != 1)
				cout << " * ";
		}
		
		d++;
		
		if (d * d > n)
			d = n;
	}
	
}






